aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--trunk/lib/common.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/trunk/lib/common.sh b/trunk/lib/common.sh
index d75c6a3..e2d99ea 100644
--- a/trunk/lib/common.sh
+++ b/trunk/lib/common.sh
@@ -939,6 +939,10 @@ function check_and_create_svn_repo {
repository_type="`echo $repository | cut -d : -f 1`"
repository_path="`echo $repository | cut -d : -f 2`"
+ if ! echo $repository | grep -q ":"; then
+ repository="file://$repository"
+ fi
+
if [ "$repository_type" == "file" ] && [ ! -d "$repository_path" ]; then
echo "Creating subversion repository $repository..."
mkdir -p `dirname $repository_path`